cordova で node.js を使ったチャットアプリ

クライアント側のnode.jsとサーバー側のバージョンを合わせないとうまくいかない。

バージョンが例えば 2.0.0 をサーバー側で使用していたら、クライアント側も
以下のように同じバージョンを指定すればうまくいく。
<script type=”text/javascript” src=”https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.0.0/socket.io.js”></script>

でも、以下のような感じで使えば、バージョンは必ず同じにできる。
<script type=”text/javascript” src=”http://hogehoge.jp:3000/socket.io/socket.io.js”></script>

それ以外の注意はあまりなく、ネット上にあるようなサンプルと同じ感じで利用できる。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です